#include <QtCore/QCoreApplication>
#include <QStringList>
#include <QTextStream>
#include <QImage>
#include <QFile>
#include <stdio.h>
#include "../iconhadler.h"

int main(int argc, char *argv[])
{
    QCoreApplication a(argc, argv);
    QStringList args = a.arguments();
    QTextStream out(stdout), err(stderr);
    if(args.size() > 2)
    {
      if(!args.contains("--help"))
      {
        QList<QImage> images;
        for(int i = 2; i < args.size(); ++i)
        {
          if(QFile().exists(args.at(i)))
          {
            images.append(QImage(args.at(i)));
          }
        }
        QFile ico(args.at(1));
        if(ico.open(QIODevice::ReadWrite | QIODevice::Truncate))
        {
          writeIco(&ico, images);
        }
        else
          err << "Unable to create file: " << args[1] << endl;

        ico.close();
        return 0;
      }
    }

    out << "png2ico-2009.08" << endl;
    out << "Copyright (c) Victor V. Zinkevich <vicking@yandex.ru>" << endl;
    out << "License: GPL v3" << endl << endl;

    out << "USAGE: png2ico --help | new_icon.ico png_image.png [png_image.png]*" << endl << endl;
    out << "  --help          Prints this screen." << endl;
    out << "  new_icon.ico    Output file, must be the first. Max size 128x128." << endl;
    out << "  png_image.png   One or more input files." << endl;


    return 0;
}
